org.springframework.web.reactive.function.server

## Interface HandlerStrategies.Builder

Enclosing interface:
  HandlerStrategies

    public static interface HandlerStrategies.Builder

A mutable builder for a `HandlerStrategies`.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerStrategies` `build()` Builds the `HandlerStrategies`.
`HandlerStrategies.Builder` `codecs(Consumer<org.springframework.http.codec.ServerCodecConfigurer> consumer)` Customize the list of server-side HTTP message readers and writers.
`HandlerStrategies.Builder` `exceptionHandler(org.springframework.web.server.WebExceptionHandler exceptionHandler)` Add the given exception handler to this builder.
`HandlerStrategies.Builder` `localeContextResolver(org.springframework.web.server.i18n.LocaleContextResolver localeContextResolver)` Add the given locale context resolver to this builder.
`HandlerStrategies.Builder` `viewResolver(ViewResolver viewResolver)` Add the given view resolver to this builder.
`HandlerStrategies.Builder` `webFilter(org.springframework.web.server.WebFilter filter)` Add the given web filter to this builder.

### Method Detail

#### codecs

    HandlerStrategies.Builder codecs(Consumer<org.springframework.http.codec.ServerCodecConfigurer> consumer)

Customize the list of server-side HTTP message readers and writers.

Parameters:
  `consumer` - the consumer to customize the codecs
Returns:
  this builder

#### viewResolver

    HandlerStrategies.Builder viewResolver(ViewResolver viewResolver)

Add the given view resolver to this builder.

Parameters:
  `viewResolver` - the view resolver to add
Returns:
  this builder

#### webFilter

    HandlerStrategies.Builder webFilter(org.springframework.web.server.WebFilter filter)

Add the given web filter to this builder.

Parameters:
  `filter` - the filter to add
Returns:
  this builder

#### exceptionHandler

    HandlerStrategies.Builder exceptionHandler(org.springframework.web.server.WebExceptionHandler exceptionHandler)

Add the given exception handler to this builder.

Parameters:
  `exceptionHandler` - the exception handler to add
Returns:
  this builder

#### localeContextResolver

    HandlerStrategies.Builder localeContextResolver(org.springframework.web.server.i18n.LocaleContextResolver localeContextResolver)

Add the given locale context resolver to this builder.

Parameters:
  `localeContextResolver` - the locale context resolver to add
Returns:
  this builder

#### build

    HandlerStrategies build()

Builds the `HandlerStrategies`.

Returns:
  the built strategies